Subject: Re: MIPS ftp problem!

From: "Kevin D. Kissell" <[email-masked]>
Date: Wed, 1 Nov 2000 09:26:46 +0100

> > I have a problem with the mips machine. I have an Atlas board and when I
> > do ftp on the mips machine from a intel one and I try to transfer files
> > ( it works very very slow 0,0234 bytes/s). The same is happening when I
> > try to make ftp from the mips machine on a intel box ( all running Linux
> > ).
> >
> > Thanks,
> > Nicu
>
> Is this using the Atlas on-board NIC? We found some pretty bad performance
> with the on-board NIC and went to the very cheap RTL8139 PCI card from
> OvisLink (used the 8139too.o driver). Performance there is pretty good.

There seems to be a problem with the on-board NIC on the Philips
multi-I/O part misbehaving under load.   It seems to be OK
for TFTP downloading and telnet sessions, but loses packets/interrupts
under FTP or NFS.  So I heartily second Brady's recommendation
of using an add-in PCI NIC. At MIPS, we use AMD PCnet cards,
for which there is a MIPS cache-and-endianness-clean driver in the
kernel sources on the MIPS FTP site (and I think built into the kernel
binary there as well).

            Regards,

            Kevin K.